use core::computers::kim1::Kim1;
use core::constants::constants_system::*;
fn main() {
    println!("Taxation is theft.");

    let mut kim = Kim1::new();
    let mut num_ticks = 0;

    kim.running = true;

    while kim.running {
        kim.tick();
        num_ticks += 1;

        if num_ticks == MOS6502_RESET_CYCLE_COUNT {
            println!("Got our 11 ticks.  time to hotwire this pc.");
            kim.running = true;
            kim.dump();
        }

        if num_ticks == 15 {
            kim.running = false;
            kim.dump();
        }
    }
}